---
title: FAQs
menu:
  main:
    weight: 80
    
draft: false
---

## General

### What is DevFest Toulouse?

The DevFest, or "Developers Festival", is a technical conference for developers.
It is aimed at students, professionals or simply curious technophiles.
Throughout the day, renowned speakers will present a variety of topics: around mobile development, the web, data, connected objects, the cloud, DevOps, etc... as well as good development practices.
Pauses are used to engage in dialogue and deepen the topics presented.

Software development is a very broad subject and our selection committee is committed to providing a varied and interesting program.
This day will be an opportunity to meet speakers of international but also national renown, indeed we also aim to make an important place for local speakers.

DevFest is part of an [international event](https://developers.google.com/events/devfest/) and is organised in partnership with Google.


### Organizing communities

DevFest Toulouse is an event organized by the developer communities of Toulouse, and administratively supported by GDG Toulouse.
You will find the list of communities at the bottom of the main page.

To make all this possible, an over-vitaminated team of volunteers is working behind the scenes.

## Conference

### Where and when will DevFest take place?

Le DevFest Toulouse 2019 takes place on **Thursday, October 3** at the [Congress Centre Pierre Baudis](https://goo.gl/maps/vDmHc8mFQtD2).

### How to get there?

The [Centre de Congrés Pierre Baudis](https://goo.gl/maps/vDmHc8mFQtD2) is ideally located in the city centre.

* :airplane: **by plane** : <br>
From _Blagnac_ airport, two solutions:
  - The easiest way is to take the airport shuttle to get off at the stop _Compans-Cafarelli_
  - You can also:
      1. Take the tram <mark class="t2">T<sub>2</sub></mark> to the station _Arènes_
      2. Take a connection with the <mark class="a">A</mark> line from the metro to the _Jean Jaurès_ stop
      3. Take a connection with the <mark class="b">B</mark> line from the metro to the _Compans-Cafarelli_ stop
* :car: **by car** : <br>
A parking lot (subject to charge) is located a stone's throw from the conference. <br>
Feel free to carpool.
* :train: **by train** : <br>
From the station _Matabiau_, 
simply take the <mark class="a">A</mark> line from the metro to the _Jean Jaurès_ stop<br> 
where you will take a connection with the <mark class="b">B</mark> metro line 
in order to get off at the _Compans-Cafarelli_ stop.
* :metro: **en métro** : <br>
Take the line <mark class="b">B</mark> then get off at the _Compans-Cafarelli_ stop.

## Sponsor / Partner?

### How to become a sponsor/partner?

The partnership file is currently available [here](https://drive.google.com/file/d/1td_9Cr1b2JZvv0bCpOCJNDsEWgVgEp2Y/view?usp=sharing).

## CFP: Call for Paper

All the information in the [CFP Blog post](/blog/cfp/)

## Ticketing

### What are the conditions for refunding your ticket?

We allow a refund up to 15 days before the event excluding the processing fee of our ticketing partner.

### Is it necessary to bring an identity document or is there a minimum age to enter the event?

Your ticket is enough, there is no minimum age.

### Can I update my registration information?

Yes, you can change your order information on our ticketing partner's website.

### Is it a problem if the name on my ticket or registration does not match the name of the participant?

Yes, please contact us if you have any specific questions.

### I would like an invoice, how do I get it?

Our association is now subject to VAT. It is therefore possible to obtain an invoice from our ticketing partner.
